#ifndef _SCAN_H
#define _SCAN_H

#define MAX_FORMAT_LEN 1024
#define MAX_STRS 256

int scan_error_loc;

typedef enum {ScanBad, ScanOk, ScanMore, ScanMoreSync} ScanResult;

ScanResult
scanString(char *str, char **inptr, int maxsize);

ScanResult
scanStringMore(char **inptr);

void
setupScan(char *fmt, int str_count, ...);

ScanResult
scanLine(char *buf);

#endif
